| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::Node< OBJECT > Class Template Reference

`#include <opencv2/core/utility.hpp>`

Collaboration diagram for cv::Node< OBJECT >:

## Public Member Functions
| Node ()
| Node (OBJECT &payload)
| ~Node ()
void | addChild (Node< OBJECT > *pNode)
int | findChild (Node< OBJECT > *pNode) const
Node< OBJECT > * | findChild (OBJECT &payload) const
int | getDepth ()
void | removeChilds ()

## Public Attributes
std::vector< Node< OBJECT > * > | m_childs
OBJECT | m_payload
Node< OBJECT > * | m_pParent

## Constructor & Destructor Documentation

## ◆ Node() [1/2]

template<class OBJECT >

cv::Node< OBJECT >::Node | ( |  | ) |
| inline

## ◆ Node() [2/2]

template<class OBJECT >

cv::Node< OBJECT >::Node | ( | OBJECT & | payload | ) |
| inline

## ◆ ~Node()

template<class OBJECT >

cv::Node< OBJECT >::~Node | ( |  | ) |
| inline

## Member Function Documentation

## ◆ addChild()

template<class OBJECT >

void cv::Node< OBJECT >::addChild | ( | Node< OBJECT > * | pNode | ) |
| inline

## ◆ findChild() [1/2]

template<class OBJECT >

int cv::Node< OBJECT >::findChild | ( | Node< OBJECT > * | pNode | ) | const
| inline

## ◆ findChild() [2/2]

template<class OBJECT >

Node< OBJECT > * cv::Node< OBJECT >::findChild | ( | OBJECT & | payload | ) | const
| inline

## ◆ getDepth()

template<class OBJECT >

int cv::Node< OBJECT >::getDepth | ( |  | ) |
| inline

## ◆ removeChilds()

template<class OBJECT >

void cv::Node< OBJECT >::removeChilds | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_childs

template<class OBJECT >

std::vector<Node<OBJECT>*> cv::Node< OBJECT >::m_childs

## ◆ m_payload

template<class OBJECT >

OBJECT cv::Node< OBJECT >::m_payload

## ◆ m_pParent

template<class OBJECT >

Node<OBJECT>* cv::Node< OBJECT >::m_pParent

The documentation for this class was generated from the following file:

- opencv2/core/utility.hpp